Bug 151624 - (TBfde6540e) NCIPsec.py:24:__init__:TypeError: cannot concatenate 'str' and 'NoneType' objects
NCIPsec.py:24:__init__:TypeError: cannot concatenate 'str' and 'NoneType' ob...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
N/A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-20 19:15 EST by Mac Bowles
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 10:11:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mac Bowles 2005-03-20 19:15:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
I am in the early stages of installing and setting up Fedora Core 3. Got it 
with the SAMS Unleashed book. Just installed it a couple of days ago. I have 
successfully connected over my Qwest DSL line through konqueror but not in 
other ways. When I opened system-config-network tool, made a small change, and 
closed it, I got the following error and a request that I create a bug for it 
in bugzilla: 
 
Component: system-config-network 
Version: 1.3.22 
Summary: TBfde6540e NCIPsec.py:24:__init__:TypeError: cannot concatenate 'str' 
and 'NoneType' objects 
Traceback (most recent call last): 
  File 
"/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", 
line 809, in on_okButton_clicked 
  File 
"/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", 
line 370, in save 
  File 
"/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", 
line 410, in saveIPsecs 
  File 
"/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCIPsecList.py", 
line 57, in save 
  File 
"/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCIPsec.py", 
line 116, in save 
  File 
"/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCIPsec.py", 
line 24, in __init__ 
TypeError: cannot concatenate 'str' and 'NoneType' objects 
 
Local variables in innermost frame: 
self: <netconfpkg.NCIPsec.ConfIPsec instance at 0xf628d48c> 
name: None 
 

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. I installed the system. My internet connection is through a Qwest ActionTec 
DSL modem. I got konqueror to work. I am now logged in as root and have just 
run the system-config_network tool. I added telnet to be enabled in the 
firewall tool and started closing the firewall and network tools and this 
message popped up. 
2. 
3. 
   

Actual Results:  Everything seems to still be working fine. 

Expected Results:  Don't know. 

Additional info:

I am running this system as an option on a dual boot home built AMD system. 
The other OS on the dual boot config is windows XP home. Have 512MB of ram and 
fedora is running off of hdb which is a 120GB drive.
Comment 1 Harald Hoyer 2005-03-21 06:03:05 EST
did you define any IPsec connections?
Comment 2 Harald Hoyer 2005-04-04 11:18:29 EDT
please show me the output of:

# ls /etc/sysconfig/network-scripts/ifcfg-*
Comment 3 Harald Hoyer 2005-09-16 10:11:18 EDT
CANTFIX without more information, closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.